PETSc version 3.17.4
Fix/Edit manual page

# MatH2OpusLowRankUpdate

Perform a low-rank update of the form A = A + s * U * V^T

### Synopsis

    PetscErrorCode MatH2OpusLowRankUpdate(Mat A, Mat U, Mat V, PetscScalar s)

### Input Parameters

| A | - the hierarchical matrix
| s | - the scaling factor
| U | - the dense low-rank update matrix
| V | - (optional) the dense low-rank update matrix (if NULL, then V = U is assumed)

Notes: The U and V matrices must be in dense format

### See Also

MatCreate(), MATH2OPUS, MatCreateH2OpusFromMat(), MatCreateH2OpusFromKernel(), MatH2OpusCompress(), MatH2OpusOrthogonalize(), MATDENSE

### Level

intermediate

### Location

src/mat/impls/h2opus/cuda/math2opus.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages